GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Modules | Enumerations
Kernel Instrumentation
GTPin: Kernel

A group of interfaces that enable instrumentation of application kernels More...

## Data Structures
class | gtpin::GtIpoint
| Relative location within the code at which instrumentation is inserted. More...
class | gtpin::IGtKernelInstrument
| Instrumentor of the GEN kernel. More...
## Modules
| Code Generation

| Code generation interface
| Register Allocation

| A group of interfaces that allow tools to define virtual registers and control the register allocation policy
| Instrumentation Procedure

| Abstract representation of the GTPin instrumentation procedure, and its basic implementation
## Enumerations
enum | gtpin::GT_IPOINT { gtpin::GT_IPOINT_INVALID, gtpin::GT_IPOINT_BEFORE, gtpin::GT_IPOINT_AFTER }
| Relative location within the code at which instrumentation is inserted. More...

## Detailed Description

A group of interfaces that enable instrumentation of application kernels

A tool may use these interfaces to generate analysis procedures and insert them into the original code of the kernel.

## Enumeration Type Documentation

enum gtpin::GT_IPOINT

Relative location within the code at which instrumentation is inserted.

Enumerator:

  GT_IPOINT_INVALID | Invalid location.
  GT_IPOINT_BEFORE | Location before instruction/BBL, etc.
  GT_IPOINT_AFTER | Location after instruction/BBL, etc.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT